# Administration Reference

## bos adduser

Purpose

Adds a privileged user to the /usr/afs/etc/UserList file

Synopsis

    bos adduser -server <machine name>  -user <user names>+
                [-cell <cell name>]  [-noauth]  [-localauth]  [-help]

    bos addu -s <machine name>  -u <user names>+
             [-c <cell name>]  [-n]  [-l]  [-h]

Description

The bos adduser command adds each user name specified with the -user argument to the /usr/afs/etc/UserList file on the machine named by the -server argument. It is the issuer's responsibility to verify that an entry for the user exists in the Authentication and Protection Databases.

Options

-server
  Indicates the server machine on which to change the /usr/afs/etc/UserList file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

  In cells that run the United States edition of AFS and use the Update Server to distribute the contents of the /usr/afs/etc directory, it is conventional to specify only the system control machine as a value for the -server argument. In cells that run the international version of AFS, repeat the command for each file server machine. For further discussion, see the introductory reference page for the bos command suite.

-user
  Specifies each user name to insert into the /usr/afs/etc/UserList file.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command adds the user names pat and smith to the /usr/afs/etc/UserList file on the machine fs1.abc.com (the system control machine).

       % bos adduser -server fs1.abc.com -user pat smith

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

KeyFile

UserList

bos

bos listusers

bos removeuser

© IBM Corporation 2000. All Rights Reserved